Page MenuHomeLubuntu Development

Edited shortcuts
ClosedPublic

Authored by The_LoudSpeaker on Aug 19 2019, 2:34 PM.

Details

Summary
  • Shortcuts for following are modified:
    • Go to dektop
    • Send to desktop
    • Directional Cycle Windows
    • Go to Desktop Directional
    • XF86WWW
  • Shortcuts for following are removed and corresponding are added to lxqt/globalkeyshortcuts.conf
    • Toggle show desktop
    • Pcmanfm
    • Runner
    • terminal
    • task manager
  • Some commented out items are removed
    • lxpanel menu
    • lxsession default lock
    • calculator
    • screenshot
    • quit
  • Following shortcuts are completely removed
    • Ctrl+F10/11 regarding backlight
    • Ctrl+F7 xset dpms force off
    • Window tiling
  • Edited the following shortcuts in globalkeyshortcuts.conf
    • GoToDesktop
    • Show Desktop
    • pcmanfm-qt
    • runner
    • qps
    • terminal
    • screengrab
Test Plan

Check all the specified shortcuts as per T59#1260 are working.

Diff Detail

Repository
rDEFAULTSETTINGS Lubuntu Default Settings
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

The_LoudSpeaker requested review of this revision.Aug 19 2019, 2:34 PM
The_LoudSpeaker created this revision.

Updated version number and release name.

shortsuts and emailid

Added a few points to the changelog. Also, email. again.

Added globalkeyshortcuts.conf

Updated the changelog

The_LoudSpeaker edited the summary of this revision. (Show Details)Aug 21 2019, 5:33 AM
wxl accepted this revision.Aug 21 2019, 3:06 PM

Thanks for working so hard on this.

This revision is now accepted and ready to land.Aug 21 2019, 3:06 PM
tsimonq2 accepted this revision.Aug 21 2019, 3:14 PM

As long as the new file is installed, this is fine

wxl updated this revision to Diff 112.Aug 22 2019, 12:42 AM

Fix changelog.

This revision now requires review to proceed.Aug 22 2019, 12:42 AM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 22 2019, 12:43 AM
Closed by commit rDEFAULTSETTINGS375b8c9d149c: Edited shortcuts (authored by The_LoudSpeaker, committed by wxl). · Explain Why
This revision was automatically updated to reflect the committed changes.